"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = MDXContent;

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@mdx-js/react");

var _ui = require("@teambit/ui.mdx-scope-context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var layoutProps = {};
var MDXLayout = "wrapper";

function MDXContent(_ref) {
  var components = _ref.components,
      props = _objectWithoutProperties(_ref, ["components"]);

  return (0, _react2.mdx)(MDXLayout, _extends({}, layoutProps, props, {
    components: components,
    mdxType: "MDXLayout"
  }), (0, _react2.mdx)(_ui.MDXScopeProvider, {
    components: {},
    mdxType: "MDXScopeProvider"
  }, (0, _react2.mdx)("h2", null, "How to Render your Component"), (0, _react2.mdx)("iframe", {
    width: "560",
    height: "315",
    src: "https://www.youtube.com/embed/so8CcUzTrn4?rel=0",
    title: "Rendering your Component",
    frameborder: "0",
    allow: "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture",
    allowfullscreen: true
  }), (0, _react2.mdx)("p", null, "Bit supports rendering your component in isolation which works as your local development environment. You can have multiple compositions per component to showcase different use cases, themes etc."), (0, _react2.mdx)("blockquote", null, (0, _react2.mdx)("p", {
    parentName: "blockquote"
  }, "Adding compositions to a component is done by creating a file in the component's directory, using the ", (0, _react2.mdx)("inlineCode", {
    parentName: "p"
  }, "*.composition.*"), " pattern.")), (0, _react2.mdx)("p", null, "For example:"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-bash",
    "metastring": "{3}",
    "{3}": true
  }, "button\n\u251C\u2500\u2500 button.composition.tsx\n\u251C\u2500\u2500 button.tsx\n\u2514\u2500\u2500 index.ts\n")), (0, _react2.mdx)("p", null, "You can create various compositions to showcase different usages of your component."), (0, _react2.mdx)("p", null, "Basic Button:"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-js"
  }, "import React from 'react';\nimport { Button } from './button';\n\nexport const BasicButton = () => {\n  return <Button text=\"click me\" />;\n};\n")), (0, _react2.mdx)("p", null, "Primary Button:"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-js"
  }, "import React from 'react';\nimport { Button } from './button';\n\nexport const PrimaryButton = () => {\n  return <Button type=\"primary\" text=\"click me\" />;\n};\n")), (0, _react2.mdx)("p", null, (0, _react2.mdx)("a", {
    parentName: "p",
    "href": "https://harmony-docs.bit.dev/aspects/compositions"
  }, "Learn more about compositions."))));
}

;
MDXContent.isMDXComponent = true;

//# sourceMappingURL=adding-compositions.mdx.js.map